# Uses of Interface
org.eclipse.e4.ui.model.application.commands.MCommand

Packages that use MCommand
Package
Description
org.eclipse.e4.ui.model.application
Application programming interfaces describing the Eclipse 4 application model elements.
org.eclipse.e4.ui.model.application.commands
org.eclipse.e4.ui.model.application.commands.impl
org.eclipse.e4.ui.model.application.commands.util
org.eclipse.e4.ui.model.application.impl
org.eclipse.e4.ui.model.application.ui.menu
Application programming interfaces describing the Eclipse 4 menu and toolbar model elements.
org.eclipse.e4.ui.model.application.ui.menu.impl

## Uses of MCommand in org.eclipse.e4.ui.model.application

Methods in org.eclipse.e4.ui.model.application that return MCommand
Modifier and Type
Method
Description
`MCommand`
MApplication.`getCommand(String elementId)`
Returns the model element for the command identified via the elementId or null if the element cannot be found.
Methods in org.eclipse.e4.ui.model.application that return types with arguments of type MCommand
Modifier and Type
Method
Description
`List<MCommand>`
MApplication.`getCommands()`
Returns the value of the 'Commands' containment reference list.

## Uses of MCommand in org.eclipse.e4.ui.model.application.commands

Methods in org.eclipse.e4.ui.model.application.commands that return MCommand
Modifier and Type
Method
Description
`MCommand`
MCommandsFactory.`createCommand()`
Returns a new object of class 'Command'.
`MCommand`
MHandler.`getCommand()`
Returns the value of the 'Command' reference.
`MCommand`
MKeyBinding.`getCommand()`
Returns the value of the 'Command' reference.
Methods in org.eclipse.e4.ui.model.application.commands with parameters of type MCommand
Modifier and Type
Method
Description
`void`
MHandler.`setCommand(MCommand value)`
Sets the value of the '`Command`' reference.
`void`
MKeyBinding.`setCommand(MCommand value)`
Sets the value of the '`Command`' reference.

## Uses of MCommand in org.eclipse.e4.ui.model.application.commands.impl

Classes in org.eclipse.e4.ui.model.application.commands.impl that implement MCommand
Modifier and Type
Class
Description
`class`
`CommandImpl`
An implementation of the model object 'Command'.
Fields in org.eclipse.e4.ui.model.application.commands.impl declared as MCommand
Modifier and Type
Field
Description
`protected MCommand`
HandlerImpl.`command`
The cached value of the '`Command`' reference.
`protected MCommand`
KeyBindingImpl.`command`
The cached value of the '`Command`' reference.
Methods in org.eclipse.e4.ui.model.application.commands.impl that return MCommand
Modifier and Type
Method
Description
`MCommand`
HandlerImpl.`basicGetCommand()`
`MCommand`
KeyBindingImpl.`basicGetCommand()`
`MCommand`
CommandsFactoryImpl.`createCommand()`
`MCommand`
HandlerImpl.`getCommand()`
`MCommand`
KeyBindingImpl.`getCommand()`
Methods in org.eclipse.e4.ui.model.application.commands.impl with parameters of type MCommand
Modifier and Type
Method
Description
`void`
HandlerImpl.`setCommand(MCommand newCommand)`
`void`
KeyBindingImpl.`setCommand(MCommand newCommand)`

## Uses of MCommand in org.eclipse.e4.ui.model.application.commands.util

Methods in org.eclipse.e4.ui.model.application.commands.util with parameters of type MCommand
Modifier and Type
Method
Description
`T`
CommandsSwitch.`caseCommand(MCommand object)`
Returns the result of interpreting the object as an instance of 'Command'.

## Uses of MCommand in org.eclipse.e4.ui.model.application.impl

Fields in org.eclipse.e4.ui.model.application.impl with type parameters of type MCommand
Modifier and Type
Field
Description
`protected org.eclipse.emf.common.util.EList<MCommand>`
ApplicationImpl.`commands`
The cached value of the '`Commands`' containment reference list.
`protected Map<String,MCommand>`
ApplicationImpl.`elementIdToCommandMap`
Methods in org.eclipse.e4.ui.model.application.impl that return MCommand
Modifier and Type
Method
Description
`MCommand`
ApplicationImpl.`getCommand(String elementId)`
Methods in org.eclipse.e4.ui.model.application.impl that return types with arguments of type MCommand
Modifier and Type
Method
Description
`List<MCommand>`
ApplicationImpl.`getCommands()`

## Uses of MCommand in org.eclipse.e4.ui.model.application.ui.menu

Methods in org.eclipse.e4.ui.model.application.ui.menu that return MCommand
Modifier and Type
Method
Description
`MCommand`
MHandledItem.`getCommand()`
Returns the value of the 'Command' reference.
Methods in org.eclipse.e4.ui.model.application.ui.menu with parameters of type MCommand
Modifier and Type
Method
Description
`void`
MHandledItem.`setCommand(MCommand value)`
Sets the value of the '`Command`' reference.

## Uses of MCommand in org.eclipse.e4.ui.model.application.ui.menu.impl

Fields in org.eclipse.e4.ui.model.application.ui.menu.impl declared as MCommand
Modifier and Type
Field
Description
`protected MCommand`
HandledItemImpl.`command`
The cached value of the '`Command`' reference.
`protected MCommand`
HandledMenuItemImpl.`command`
The cached value of the '`Command`' reference.
`protected MCommand`
HandledToolItemImpl.`command`
The cached value of the '`Command`' reference.
Methods in org.eclipse.e4.ui.model.application.ui.menu.impl that return MCommand
Modifier and Type
Method
Description
`MCommand`
HandledItemImpl.`basicGetCommand()`
`MCommand`
HandledMenuItemImpl.`basicGetCommand()`
`MCommand`
HandledToolItemImpl.`basicGetCommand()`
`MCommand`
HandledItemImpl.`getCommand()`
`MCommand`
HandledMenuItemImpl.`getCommand()`
`MCommand`
HandledToolItemImpl.`getCommand()`
Methods in org.eclipse.e4.ui.model.application.ui.menu.impl with parameters of type MCommand
Modifier and Type
Method
Description
`void`
HandledItemImpl.`setCommand(MCommand newCommand)`
`void`
HandledMenuItemImpl.`setCommand(MCommand newCommand)`
`void`
HandledToolItemImpl.`setCommand(MCommand newCommand)`